#! /bin/sh

if [ ! -d /usr/local/vicompress ]
then
    echo "Error: /usr/local/vicompress doesn't exist"
    echo "You must first run make install in the src directory"
    echo "to install the binaries to /usr/local/vicompress."
    echo "Only then can you build the debian file."
    exit 1
fi

mkdir debian
mkdir debian/usr
mkdir debian/usr/local
mkdir debian/DEBIAN
cp control debian/DEBIAN
cp copyright debian/DEBIAN
cp postinst debian/DEBIAN
cp prerm debian/DEBIAN
cp -pR /usr/local/vicompress debian/usr/local/
find debian -type d | xargs chmod 755
chown -R root:root debian/
chown nobody:nobody debian/usr/local/vicompress/log
chown nobody:nobody debian/usr/local/vicompress/logstats

dpkg-deb --build debian
mv debian.deb ViCompress-1.1.1-i386.deb

